.bannerbottom, .testimonials, .gallery_main {
    padding-bottom: 20px;
}

.container-banner {
    position: relative;
    height: 794px;
}

.swiper-container_1 {
    height: 400px;
}

.swiper-container_1.swiper-container_23 {
    height: 700px;
}

.swiper-container {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: 0;
}

.banner-info {
    padding-top: 20rem;
}

.Lunch_Buffet_height {

}

.swiper-slide {
    text-align: center;
    font-size: 18px;
    /* Center slide text vertically */
    display: -webkit-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
    -webkit-box-pack: center;

    background-size: cover;
    background-position: center center;

    z-index: -999;
    -ms-flex-pack: center;
    -webkit-justify-content: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    -webkit-align-items: center;
    align-items: center;
}

.swiper-container_2 {

}

.dinner_container_images img {
    width: 100%;
    height: 300px;
    object-fit: cover;

}

@media (max-width: 992px) {
    .swiper-container_2 {

    }
}

.link_sous {
    display: flex;
    justify-content: center;
    margin-top: 30px;
}

.link_sous a {
    font-size: 18px;
    color: white !important;
    margin: 0 10px;
}

.link_sous a i {
    font-size: 32px;
}

.copyrights_bottom {
    display: flex;
    justify-content: center;
    margin-top: 10px;
}

.copyrights_bottom a {
    font-size: 24px;
    color: white !important;
    margin: 0 5px;
}

.mobile {
    display: none !important;
    width: 100% !important;
}

.mobile a {
    margin: auto;
    width: 100% !important;
}

.phone_tel {
    position: absolute;
    top: 20px;
    padding: 10px 20px;
    background-color: #d80000cc;
    text-decoration: none !important;
    right: 0;
    z-index: 111111;
    color: white !important;
}

.phone_tel:hover, .phone_tel:focus {
    color: white;
    text-decoration: none !important;
}


.Lunch_Buffet_height .swiper-slide {
    display: block;
}

.Lunch_Buffet_height {

}

.LunchBuffet_img {
    height: 100vh;
    width: 100%;
    padding: 20px 0;
    overflow: hidden;
}

.LunchBuffet_img img {
    width: 100%;
    height: 100%;
    border-radius: 4px;
}

@media (min-width: 992px) {
    /* 确保父容器是相对定位且具有 Flex 或高度 */
    #dinner_gallery {
        display: flex;
        align-items: flex-start; /* 关键：防止子元素拉伸到底部 */
    }

    /* 让右侧栏在滚动到它时固定 */
    #LunchBuffet_img_right {
        position: -webkit-sticky;
        position: sticky;
        top: 0; /* 距离浏览器顶部 0 像素时开始固定 */
    }
}


.swiper-container_2 {
    width: 100%;
}

.swiper-container_2 a {
    border-radius: 4px;
    overflow: hidden;
    margin-bottom: 10px;

    display: block;
    z-index: 111;
    height: 100vh;
    width: 100%;
}

.gold_text {
    color: #FFD700 !Important;
}

.scroll-section {
    position: relative;
    height: 600vh; /* 5 张图 = 5 次滚动 */
}

.scroll-inner {
    position: sticky;
    top: 0;
    height: 100vh;
    display: flex;
}

.left {
    width: 50%;
    position: relative;
}

.left-item {
    position: absolute;
    inset: 0;
    opacity: 0;
    transform: translateY(40px);
    transition: all 0.6s ease;
}

.left-item.active {
    opacity: 1;
    transform: translateY(0);
}

.left-item img {
    width: 100%;
}

.right {
    width: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.right img {
    max-height: 80vh;
}


.banner-dott {
    background-color: rgba(0, 0, 0, 0.3);
}

.container_dinner {
    padding: 0 30px;
}


.price-table {
    width: 100%;
    max-width: 480px;
    border-collapse: collapse;
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Arial, sans-serif;
}

.price-table th {
    background-color: #f5f5f5;
    text-align: left;
    padding: 12px;
    font-size: 16px;
    border-bottom: 2px solid #ddd;
}

.price-table td {
    padding: 12px; color: white;
    border-bottom: 1px solid #eee;
    font-size: 15px;
}

.price-main {
    font-weight: 700;
    font-size: 18px;
    color: #000;
}

.age-range {
    color: #a8a8a8;
    font-size: 14px;
}

.free {
    color: #2e7d32;
    font-weight: 600;
}



.btn-dir {
    margin-top: 15px;
    padding: 10px 20px;
    background-color: #d80000cc;
    text-decoration: none !important;
}

/* Mobile optimization */
@media (max-width: 480px) {
    .price-table th,
    .price-table td {
        padding: 10px;
    }
}


@media (min-width: 996px) {
    .dlg_none {
        display: none !important;
    }
}

@media (max-width: 996px) {
    .mobile {
        display: inline-block !important;
        text-align: center !important;
    }

    .dmb_none {
        display: none !important;
    }

    .LunchBuffet_img {
        height: 400px;
        width: 100%;
        padding: 0;
        overflow: hidden;
    }

    .LunchBuffet_img img {
        object-fit: cover;
    }

    .swiper-container_2 a {
        height: 200px !important;
    }

    .phone_tel {
        display: none;
    }

    .link_sous a {
        font-size: 14px;

    }

    .swiper-container_23 {
        height: 400px;
    }

    #aboutus .bottomleft {
        margin-top: 20px;
    }

    .bottomleft h3 {
        text-align: center;
    }

    .bottomleft p {
    }


}

